using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;


public class UISectorHeading : MonoBehaviour {

    public Text DetailText;
    [TextArea(3, 10)]
    public List<string> DetailContents;

    Text text;

    void Start()
    {
        text = GetComponent<Text>();
        text.text = "Sector " + GameController.Instance.Sector;

        if (DetailText != null)
        {
            if (DetailContents.Count >= GameController.Instance.Sector)
                DetailText.text = DetailContents[GameController.Instance.Sector - 1];
            else
                DetailText.text = "";
        }
    }

}
